Author Topic: Project type selection  (Read 3125 times)

CptGreenwood

  • Guest
Project type selection
« on: August 24, 2005, 10:12:19 am »
Hi,

I've just downloaded and installed Code::Blocks.
First I was impressed by the many different projects I can start but then while trying I discovered that many of the projects (like Qt and WxWidget) don't work due to missing libraries. I'm not sure it's wise to let the user select projects which cannot be compiled. On your homepage there are no download links or tutorials, what to download, how to install to make that projects work.
I've just tried to find a Qt installation package for nearly an hour... without success.
  • Can you include the libraries into your install package to be able to use that projects "out of the box"?
  • If not, can you provide a step-by-step tutorial, how to get the libraries and how to install them so all the project work?
Thanx in advance.

Greetz,
CptGreenwood

Offline Urxae

  • Regular
  • ***
  • Posts: 376
Re: Project type selection
« Reply #1 on: August 24, 2005, 10:28:55 am »
Those projects are included for people who have those libraries. For QT, did you try Google? (First two are for Apple QuickTime, but the third looks about right)

If all those libraries were included in the install, that would make it pretty big, especially for people who don't need them.

Offline phlox81

  • Multiple posting newcomer
  • *
  • Posts: 53
    • phlox81.de
Re: Project type selection
« Reply #2 on: August 24, 2005, 10:34:38 am »
  • Can you include the libraries into your install package to be able to use that projects "out of the box"?

Do you know how big such a library is, and it wouldn't help to deliver only the binaries, there should also
be samples with it. And, you'd be in trouble to update those Libs. And, which Compiler would you support ?
If you support more than 1, you have for each compiler one Download.

  • If not, can you provide a step-by-step tutorial, how to get the libraries and how to install them so all the project work?

For QT, just go to http://www.trolltech.com/download/opensource.html and download your package, it will
install automatically, when you have the gcc compiler installed.

For wxWidgets, go to www.wxWidgets.org, and Download what ever version you would like.
If you're under windows go also to www.mingw.org, and download MySYS, for easy build process.
Now start MySYS and move to the %/wxWidgets/ or go with your bash shell to this location.
Type in configure (will take some time), than make (also takes some time) and you have your libs.

phlox


Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: Project type selection
« Reply #3 on: August 24, 2005, 10:48:29 am »
Since version 1.0-RC1-1, a one-time message is displayed the first time you use "New project":
Quote
These templates are only provided for your convenience.
Many of the available templates need extra libraries in order to be compiled succesfuly.

Extra libraries which Code::Blocks does *NOT* provide...

All is not lost however.
Eventually articles/tutorials will be written in the wiki.
It has already started: SDL article :)

Yiannis.
Be patient!
This bug will be fixed soon...